library ieee;
use ieee.numeric_std.all;
use ieee.std_logic_1164.all;

package quarkpkg is

  constant CLK_PERIOD : time := 10 us;
  
  constant RATE   : integer := 4;
  constant WWIDTH : integer := 32;
  constant DIGEST : integer := 28;
  constant LWIDTH : integer := 10;
  constant PDEG   : integer := 1;
  constant ROUND  : integer := 4*WWIDTH*8/PDEG;

  constant INITSTATE : std_logic_vector(0 to WWIDTH*8-1) := x"F1CDD0E2" &
                                                            x"93F33670" &
                                                            x"797B3F24" &
                                                            x"F5625FE2" &
                                                            x"D175009C" &
                                                            x"8C5B88F0" &
                                                            x"3424F042" &
                                                            x"82B7C9DD";
  
end quarkpkg;
